import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;

/*
 * Created on 18 mai 2003
 *
 * (C) S. Rosmorduc
 * This file is free software under the LGLP
 * 
 */

/**
 * @author rosmord
 */
public class DialogueServer {
	
	String host;
	private Dialogue dialogue;

	DialogueServer(String host) throws RemoteException  {
		this.host= host;		
		dialogue= new Dialogue();
	}
	
	public void run() throws RemoteException, MalformedURLException{
		// * Create and install a security manager
		if (System.getSecurityManager() == null) {
			System.setSecurityManager(new RMISecurityManager());
		}
		Naming.rebind(DialogueNamingPolicy.getServerName(host),dialogue);		
	}
	public static void main(String[] args) throws RemoteException, MalformedURLException {
	    if (args.length != 1) {
		System.err.println("Erreur : donnez le nom du serveur de nommage (celui qui fait tourner rmiregistry)");
		System.exit(1);
	    }
	    DialogueServer server= new DialogueServer(args[0]);
	    server.run();
	}
}
